#include "resources.h"
#include "stdint.h"
#include "utils/dictionary.h"
#include "utils/debug.h"

char const *RESOURCE_DIRECTORY = "resources";

static inline
void InitializeResourceDirectory() {
    // if there is a resource directory in the working directory, prioritize that for debugging
    if(DirectoryExists(RESOURCE_DIRECTORY)) {
        ChangeDirectory(TextFormat("%s/%s", GetWorkingDirectory(), RESOURCE_DIRECTORY));
        LOG_WARNING("Using working dir resources, this is possible for debug purposes.");
    }
    // check application installation directory for a resource directory
    // this is the default running environment
    char const *installation_resource_dir = TextFormat(GetApplicationDirectory(), RESOURCE_DIRECTORY);
    if(DirectoryExists(installation_resource_dir)) {
        ChangeDirectory(installation_resource_dir);
        return;
    }
    UNREACHABLE("Failed to find resource directory");
}

void InitializeResourceSubsystem() {
    InitializeResourceDirectory();
}

void CleanResourceSubsystem() {
}

